Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ResourceManagersType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ResourceManagersTypeImpl

    public interface ResourceManagersType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `resource-managersType` xsd type

Original Documentation:

The resource-managers element is used to declare resource managers. A
resource has 3 names: - the "code name" is the name used in the code of the bean, supplied
by the Bean Developer in the resource-ref section of the ejb-jar.xml file - the "xml name"
is an intermediary name used by the Application Assembler to identify resources in the XML
file. - the "runtime jndi name" is the actual jndi-name or url of the deployed resource, it
is supplied by the Deployer. The mapping between the "code name" and the "xml name" is given
in the resource-ref section for the bean. If not, jboss will assume that "xml name" = "code
name". The mapping between the "xml name" and the "runtime jndi name" is given in a
resource-manager section. If not, and if the datasource is of type javax.sql.DataSource,
jboss will look for a javax.sql.DataSource in the jndi tree. Used in: jboss

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<ResourceManagerType<ResourceManagersType<T>>>` | `getResourceManagerList()` Returns all `resource-manager` elements
`ResourceManagersType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceManagersType<T>` | `removeAllResourceManager()` Removes all `resource-manager` elements
`ResourceManagerType<ResourceManagersType<T>>` | `resourceManager()` Returns the `resource-manager` element
`ResourceManagersType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceManagersType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ResourceManagersType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ResourceManagersType`

### setDescriptionList

    ResourceManagersType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceManagersType`

### removeAllDescription

    ResourceManagersType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ResourceManagersType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### removeAllResourceManager

    ResourceManagersType<T> removeAllResourceManager()

  Removes all `resource-manager` elements

  Returns:
    the current instance of `ResourceManagersType`

### resourceManager

    ResourceManagerType<ResourceManagersType<T>> resourceManager()

  Returns the `resource-manager` element

  Returns:
    the node defined for the element `resource-manager`

### getResourceManagerList

    java.util.List<ResourceManagerType<ResourceManagersType<T>>> getResourceManagerList()

  Returns all `resource-manager` elements

  Returns:
    list of `resource-manager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD